Delete contract tag
curl --request DELETE \
--url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/contract/{networkId}/{address}/tag \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--data '
{
"tag": "v1.0.0"
}
'import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/contract/{networkId}/{address}/tag"
payload = { "tag": "v1.0.0" }
headers = {
"X-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag: 'v1.0.0'})
};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/contract/{networkId}/{address}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Contracts
Delete contract tag
Delete a tag that has been added to a smart contract.
DELETE
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
contract
/
{networkId}
/
{address}
/
tag
Delete contract tag
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Network Id of the smart contract
Smart contract address
Body
application/json
Delete contract tag payload
Smart contract tag to be removed.
Example:
"v1.0.0"
Response
The smart contract tag was deleted successfully.
Was this page helpful?
⌘I